package electrosphere.game.data.item.type;

import electrosphere.game.data.collidable.CollidableTemplate;

import java.util.List;

/**
 * Data on a given item
 */
public class Item {

    //the id of the item
    String itemId;
    //the model path of the item
    String modelPath;
    //tokens associated with this item type
    List<String> tokens;
    //the collidable data for the item
    CollidableTemplate collidable;
    //the idle animation for the item
    String idleAnim;
    //the path for the icon texture for this item
    String iconPath;
    //weapon data for this item if it is an item
    WeaponData weaponData;
    //The data defining how this item is equipped
    EquipData equipData;

    /**
     * the id of the item
     * @return
     */
    public String getItemId() {
        return itemId;
    }

    /**
     * the model path of the item
     * @return
     */
    public String getModelPath() {
        return modelPath;
    }

    /*
     * tokens associated with this item type
     */
    public List<String> getTokens() {
        return tokens;
    }
    
    /**
     * the collidable data for the item
     * @return
     */
    public CollidableTemplate getCollidable(){
        return collidable;
    }

    /**
     * the idle animation for the item
     * @return
     */
    public String getIdleAnim(){
        return idleAnim;
    }
    
    /**
     * the path for the icon texture for this item
     * @return
     */
    public String getIconPath(){
        return iconPath;
    }

    /**
     * weapon data for this item if it is an item
     * @return
     */
    public WeaponData getWeaponData(){
        return weaponData;
    }

    /**
     * Gets the equip data for the item type
     * @return The equip data
     */
    public EquipData getEquipData(){
        return equipData;
    }
    
}
